package com.example.springbootqualifer.runner;

import com.example.springbootqualifer.model.People;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class Runner implements CommandLineRunner {

  @Autowired
  @Qualifier("employee")
  private People p1;

  @Autowired
  @Qualifier("manager")
  private People p2;

  @Override
  public void run(String... args) throws Exception {
    log.info("{}", p1.designation());
    log.info("{}", p2.designation());
  }
}
